#include <QCoreApplication>

#include <eetcpp.h>

int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    EetRequest request;

    request.setCelkTrzba(1);
    request.setCerpZuct(2);
    request.setCestSluz(3);
    request.setDatOdesl(QDateTime::currentDateTime());
    request.setPrvniZaslani(true);
    request.setIdPokl("id pokladny");
    request.setIdProvoz("1");
    request.setDicPopl("CZ1212121218");
    request.setPoradCis("123/5");
    request.setDatTrzby(QDateTime::currentDateTime());
    request.setCelkTrzba(100);
    request.setRezim(EetRequest::STANDARD);

    EetSender sender;
    sender.setPlayground(true);
    sender.setupSigner("/home/pepa/Dokumenty/dev/eet/121212.p12", "eet");
    sender.sendRequest(&request);

    return a.exec();
}
